%define name epittance
%define version 0.2.2
%define release 1mdk

Summary: Personal file sharing for the GNOME desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.gnome.org/~dobey/%{name}-%{version}.tar.bz2
#gw we have emblem-shared in nautilus, so we don't need 2.9.0
Patch: epittance-0.2.2-gnome-icon-theme.patch.bz2
License: GPL
Group: System/Servers
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: howl-devel
BuildRequires: gnome-icon-theme >= 1.2.3
BuildRequires: libsoup-devel >= 2.1.0
BuildRequires: libnautilus-devel >= 2.6.0
BuildRequires: intltool
Requires: howl

%description
EPittance is a personal file sharing solution for the Gnome desktop.

%prep
%setup -q
%patch -p1
autoconf
intltoolize --force

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/nautilus/extensions-1.0/libepittance-nautilus.a
%find_lang %name

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="%name.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
done

%preun
if [ "$1" = "0" ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  SCHEMAS="%name.schemas"
  for S in $SCHEMAS; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S >/dev/null
  done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/%name.schemas
%_libdir/bonobo/servers/GNOME_EPittance.server
%_libexecdir/%name-server
%_libdir/nautilus/extensions-1.0/*

%changelog
* Mon Oct  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-1mdk
- initial package
